Update webhook
PATCH
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidsubscription_id*Subscription IdFormat
uuidapplication/json- body
active?boolean|nullbranch_ref?|nullevents?array<string>|nullname?|nullorigin?|nullrepository_id?|nullurl?|nullSuccessful Response
application/json- response
active*Activebranch_ref?string|nullcreated_at*Created AtFormat
date-timeevents*array<string>id*IdFormat
uuidkind*KindValue in
"webhook""slack""discord""jira""siem""policy"name*Nameorigin?OriginDefault
"all"Value in
"all""manual""schedule""github"repository_id?|nullurl*Urlcurl -X PATCH 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "active": true, "branch_ref": "string", "created_at": "2019-08-24T14:15:22Z", "events": [ "string" ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "webhook", "name": "string", "origin": "all", "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3", "url": "string"}